## mxml 2.6

=== debian/changelog ===
mxml (2.6-2+deb8u1) jessie-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2016-4570, CVE-2016-4571 (Closes: #825855) 
    CVE-2018-20004 (Closes: #918007)

 -- Abhijith PA <abhijith@debian.org>  Fri, 25 Jan 2019 12:50:32 +0530

mxml (2.6-2) unstable; urgency=low

  * debian/control
    - Bump Standards-Version: 3.9.1 (No changes)
    - Add ${misc:Depends} to Depends
  * debian/copyright
    - Fix the symlink to LGPL-2
  * debian/rules
    - Install fixed manpage. Makes lintian happy
  * Switch to dpkg-source 3.0 (quilt) format
  * Remove lintian overrides since we generate the symbols control file

 -- Luis Uribe <acme@eviled.org>  Sat, 16 Oct 2010 20:14:04 -0500

mxml (2.6-1) unstable; urgency=low

  * New upstream release (Closes: #530379).
  * patches/series
    - Remove debian/patches/03_mispell_mxml (Fix included in upstream source)
    - Add description to quilt patches
  * debian/control
    - Remove duplicate Section: on libmxml1 (Makes lintian happy)
  * Conforms with latest Standards Version 3.8.3

 -- Luis Uribe <acme@eviled.org>  Sat, 31 Oct 2009 16:23:28 -0500

mxml (2.5-2) unstable; urgency=low

  * patches/series
    - Add debian/patches/03_mispell_mxml.pc.diff (Fixed in upstream svn)

 -- Luis Uribe <acme@eviled.org>  Tue, 24 Jun 2008 01:09:30 -0500

mxml (2.5-1) unstable; urgency=low

  * New upstream release
  * patches/series
    - Remove 02_remove_minus.diff patch
    - Add 02_link_with_pthread.diff to link mxml with pthread (Closes: #467555).
      Thanks to Gonéri Le Bouder <goneri@rulezlan.org>
  * debian/control
    - Adding ${shlibs:Depends} to Depends:

 -- Luis Uribe <acme@eviled.org>  Sun, 06 Apr 2008 22:41:06 -0500

mxml (2.4-1) unstable; urgency=low

  * New upstream release. (Closes: #460318). Thanks to Sam Morris
  * Fix loading zynaddsubfx's XML files. (Closes: #442416).
  * New maintainer. (Closes: #391132)
  * debian/control:
    - Update the homepage
    - Include part of the libmxml1 description into the libmxml-dev
    description
  * debian/watch
    - Add file
  * Conforms with latest Standards Version 3.7.3

 -- Luis Uribe <acme@eviled.org>  Tue, 15 Jan 2008 21:13:50 -0500

mxml (2.3-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * Add patch to remove rpath.
  * Bump compat to 5.
  * Update control:
    * Bump debhelper build-depends to 5.
    * Add quilt build-depends.
    * Rewrite short and long descriptions.
  * Rewrite copyright. Mini-XML library is licensed under LGPL with
    2 exceptions.
  * Remove dirs, links, shlibs, manpages and README.Debian files.
  * Update libmxml-dev.* files.
  * Clean up rules file.

 -- Fathi Boudra <fboudra@free.fr>  Sun, 19 Aug 2007 14:52:14 +0200

mxml (2.2-2) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA Group; Orphaned: #391132
  * Correct package description (Closes: #314481)
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Mon, 16 Oct 2006 08:48:01 +0200

mxml (2.2-1) unstable; urgency=low

  * New upstream release (closes: #287839)

 -- Eduardo Marcel Macan <macan@debian.org>  Sun,  6 Mar 2005 09:24:51 -0300

mxml (2.1-1) unstable; urgency=low

  * Initial Release.

 -- Eduardo Marcel Macan <macan@debian.org>  Tue, 28 Dec 2004 16:28:45 -0200
