## mxml 2.7

=== debian/changelog ===
mxml (2.7-1) experimental; urgency=low

  * New upstream release (Closes: #684783)
  * debian/control
    - Bump Standards-Version: 3.9.3 (No changes)
  * debian/compat
    - Update debhelper compat level to 9, needed to using dpkg-buildflags
  * debian/rules
    - Use dh tiny rules
  * patches/series
    - Add 03_link_ldflags.diff to add missing $(LDFLAGS) to Makefile
  * debian/copyright
    - Migrate to DEP-5 format

 -- Luis Uribe <acme@eviled.org>  Thu, 16 Aug 2012 21:12:59 -0500
