=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: mxml
 Priority: optional
 Maintainer: Luis Uribe <acme@eviled.org>
-Build-Depends: debhelper (>= 5), quilt
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://www.minixml.org/
