## mxml 2.9

=== debian/changelog ===
mxml (2.9-0ubuntu2) xenial; urgency=medium

  * Let the tests fail on error.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Feb 2016 20:56:23 +0100

mxml (2.9-0ubuntu1) xenial; urgency=medium

  * New upstream version.
  * Multiarchify the library packages.
  * Enable parallel builds.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Feb 2016 08:55:35 +0100
