=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Package: libmxml-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libmxml1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: small XML parsing library (development)
  Mini-XML is a small XML parsing library that you can use to read XML and
@@ -33,6 +34,8 @@
 
 Package: libmxml1
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: small XML parsing library (runtime)
  Mini-XML is a small XML parsing library that you can use to read XML and
