=== debian/watch ===
version=3
http://ftp.easysw.com/pub/mxml/([\d\.]+)/mxml-(.*)\.tar.gz
