## mxml 2.10

=== debian/changelog ===
mxml (2.10-1) unstable; urgency=medium

  * New upstream release
  * Add Breaks/Replaces for mxmldoc breakage. Closes: #836847

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Sep 2016 10:07:07 +0100

mxml (2.9-3) unstable; urgency=medium

  * Update watch file
  * Patch from doko to:
    - Multiarchify the library packages.
    -  Enable parallel builds
    - Let the tests fail on error.
    Closes: #835300

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Aug 2016 11:54:39 +0100

mxml (2.9-2) unstable; urgency=medium

  * Missing second patch for recursion fix. Closes: #825855.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 11 Jun 2016 07:31:20 +0100

mxml (2.9-1) unstable; urgency=medium

  * New maintainer. Mark Luis Uribe as Uploader. Closes: #784865 
  * New upstream release
   - refreshed patches.
   - 04_minor_version.diff: correct minor version 8->9
  * Patch to fix security issues due to recursion in mxmlDelete. Closes: #825855.
    CVE-2016-4570
    CVE-2016-4571
  * Include updated debian/watch file
  * New Standards-Version: 3.9.8. No changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Jun 2016 10:51:01 +0100
