=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: mxml
 Priority: optional
-Maintainer: Luis Uribe <acme@eviled.org>
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Uploaders: Luis Uribe <acme@eviled.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://www.minixml.org/
 
@@ -32,11 +33,40 @@
   This package contains the Mini-XML development files.
  .
 
+Package: libmxml-bin
+Architecture: any
+Multi-Arch: foreign
+Depends:  ${misc:Depends}, ${shlibs:Depends}
+Recommends: libmxml-dev
+Breaks: libmxl-dev (<< 2.10-1)
+Replaces: libmxml-dev ( << 2.10-1)
+Description: small XML parsing library (binaries)
+ Mini-XML is a small XML parsing library that you can use to read XML and
+ XML-like data files in your application without requiring large non-standard
+ libraries.
+ .
+ Mini-XML provides the following functionality:
+  * Reading of UTF-8 and UTF-16 and writing of UTF-8 encoded XML files and
+    strings.
+  * Data is stored in a linked-list tree structure, preserving the XML data
+    hierarchy.
+  * Supports arbitrary element names, attributes, and attribute values with
+    no preset limits, just available memory.
+  * Supports integer, real, opaque ("cdata"), and text data types in "leaf"
+    nodes.
+  * Functions for creating, indexing, and managing trees of data.
+  * "Find" and "walk" functions for easily locating and navigating trees of
+    data.
+ .
+  This package contains the Mini-XML development files.
+
+
 Package: libmxml1
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: libmxml-bin
 Description: small XML parsing library (runtime)
  Mini-XML is a small XML parsing library that you can use to read XML and
  XML-like data files in your application without requiring large non-standard
