## mxml 2.11

=== debian/changelog ===
mxml (2.11-2) unstable; urgency=medium

  * Add VCS for mxml: salsa.d.o
  * Change homepage to HTTPS version
  * Standards-Version: 4.1.5
  * change README->README.md, add CHANGES.md to docs. Closes: #903335

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Jul 2018 11:51:44 +0100

mxml (2.11-1) unstable; urgency=medium

  * New upstream release
  * 06_autoheader.patch now needed for autoreconf
  * 07_compile_fixes.patch needed to compile
  * Obsolete patch removed: 05_stack_recursion_fix.diff
  * Standards-Version: 4.1.3; no changes required
  * Cleanup rules - no dh_auto_configure clause now needed 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Mar 2018 16:37:10 +0000

mxml (2.10-2) unstable; urgency=medium

  * Fix watch file; project moved to github
  * Standards-Version: 4.0.0; no changes required
  * DH_COMPAT now 10

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Jun 2017 12:02:11 +0100
