=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Uploaders: Luis Uribe <acme@eviled.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.1.5
 Section: libs
-Homepage: http://www.minixml.org/
+Vcs-Browser: https://salsa.debian.org:/mckinstry/mxml.git
+Vcs-Git: https://salsa.debian.org:/mckinstry/mxml.git
+Homepage: https://www.msweet.org/mxml/
 
 Package: libmxml-dev
 Section: libdevel
