## mxml 2.12

=== debian/changelog ===
mxml (2.12-2) unstable; urgency=medium

  * CVE-2018-20004: patch from upstream. Closes: #918007
  * Standards-Version: 4.3.0.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Jan 2019 09:21:23 +0000

mxml (2.12-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.2.1
  * Remove Luis Uribe from the Uploaders list.
    Thanks for all the work, Luis!. Closes: #894007
  * Addpatch from Helmut Grohne for cross-building. Closes: #909354
  * Enable use of autoheader (disable check in configure) as we have a 
    patch for its problems.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 06 Oct 2018 10:01:44 +0100
