=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: mxml
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Uploaders: Luis Uribe <acme@eviled.org>
 Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Section: libs
 Vcs-Browser: https://salsa.debian.org:/mckinstry/mxml.git
 Vcs-Git: https://salsa.debian.org:/mckinstry/mxml.git
