## mxml 3.1

=== debian/changelog ===
mxml (3.1-1) unstable; urgency=medium

  * New upstream release
  * Drop duplicate Changelog

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Sep 2019 17:55:28 +0100

mxml (3.0-1) unstable; urgency=medium

  * New upstream release
  * Patches now upstream: 
    - cve-2018-20004.patch
  * Update 07_compile_fixes.patch
  * Move to debhelper-compat (=12)
  * Standards-Version: 4.4.0
  * Drop -bin package, mxmldoc now codedoc
  * Disable man manpage generation: needs codedoc

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 Aug 2019 02:16:34 +0100
