=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: mxml
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.0
 Section: libs
 Vcs-Browser: https://salsa.debian.org:/mckinstry/mxml.git
 Vcs-Git: https://salsa.debian.org:/mckinstry/mxml.git
@@ -12,7 +12,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmxml1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libmxml1 (= ${binary:Version}), ${misc:Depends}
 Description: small XML parsing library (development)
  Mini-XML is a small XML parsing library that you can use to read XML and
  XML-like data files in your application without requiring large non-standard
@@ -33,34 +33,6 @@
  .
   This package contains the Mini-XML development files.
  .
-
-Package: libmxml-bin
-Architecture: any
-Multi-Arch: foreign
-Depends:  ${misc:Depends}, ${shlibs:Depends}
-Recommends: libmxml-dev
-Breaks: libmxl-dev (<< 2.10-1)
-Replaces: libmxml-dev ( << 2.10-1)
-Description: small XML parsing library (binaries)
- Mini-XML is a small XML parsing library that you can use to read XML and
- XML-like data files in your application without requiring large non-standard
- libraries.
- .
- Mini-XML provides the following functionality:
-  * Reading of UTF-8 and UTF-16 and writing of UTF-8 encoded XML files and
-    strings.
-  * Data is stored in a linked-list tree structure, preserving the XML data
-    hierarchy.
-  * Supports arbitrary element names, attributes, and attribute values with
-    no preset limits, just available memory.
-  * Supports integer, real, opaque ("cdata"), and text data types in "leaf"
-    nodes.
-  * Functions for creating, indexing, and managing trees of data.
-  * "Find" and "walk" functions for easily locating and navigating trees of
-    data.
- .
-  This package contains the Mini-XML development files.
-
 
 Package: libmxml1
 Architecture: any
