## mxml 3.2

=== debian/changelog ===
mxml (3.2-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.0
  * Move to debhelper-compat = 13
  * Add d/gbp.conf to show DEP-14 branch names
  * Change VCS-Git in d/control to debian/latest branch

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Oct 2020 14:21:09 +0100
