=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: mxml
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Section: libs
 Vcs-Browser: https://salsa.debian.org:/mckinstry/mxml.git
-Vcs-Git: https://salsa.debian.org:/mckinstry/mxml.git
+Vcs-Git: https://salsa.debian.org:/mckinstry/mxml.git -b debian/latest
 Homepage: https://www.msweet.org/mxml/
 
 Package: libmxml-dev
