=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Section: libs
 Vcs-Browser: https://salsa.debian.org:/mckinstry/mxml.git
 Vcs-Git: https://salsa.debian.org:/mckinstry/mxml.git -b debian/latest
