=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_install:
	$(MAKE) BUILDROOT=$(CURDIR)/debian/tmp install
	cp debian/mxml.man ./debian/tmp/usr/share/man/man3/mxml.3
