## mxml 4.0.4

=== debian/changelog ===
mxml (4.0.4-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2
  * Rules-Requires-Root: no
  * Enable build-twice-in-a-row: cleanup
  * Install all docs from libmxml-dev.docs

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Mar 2025 10:34:09 +0000

mxml (4.0.3-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.0; no changes required
  * Close old bugs. Closes: #929748
  * Drop obsolete Recommends n libmxml-bin. Closes: #938990
  * Fix from Helmut Grohne for cross-build. Closes: #935740

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Apr 2024 10:31:06 +0100

mxml (4.0.1-1) experimental; urgency=medium

  * New upstream release: Not libmxml1 -> libmxml4
  * Update patches
  * Standards-Version: 4.6.2
  * Fix typos in VCS urls in d/control

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Mar 2024 11:25:14 +0000
