=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: mxml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Section: libs
-Vcs-Browser: https://salsa.debian.org:/mckinstry/mxml.git
-Vcs-Git: https://salsa.debian.org:/mckinstry/mxml.git -b debian/latest
+Vcs-Browser: https://salsa.debian.org/mckinstry/mxml.git
+Vcs-Git: https://salsa.debian.org/mckinstry/mxml.git -b debian/latest
 Homepage: https://www.msweet.org/mxml/
 
 Package: libmxml-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmxml1 (= ${binary:Version}), ${misc:Depends}
+Depends: libmxml4 (= ${binary:Version}), ${misc:Depends}
 Description: small XML parsing library (development)
  Mini-XML is a small XML parsing library that you can use to read XML and
  XML-like data files in your application without requiring large non-standard
@@ -35,12 +35,11 @@
   This package contains the Mini-XML development files.
  .
 
-Package: libmxml1
+Package: libmxml4
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libmxml-bin
 Description: small XML parsing library (runtime)
  Mini-XML is a small XML parsing library that you can use to read XML and
  XML-like data files in your application without requiring large non-standard
